Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WGrid
Class Columns

    java.lang.Object
      LumiSoft.UI.Controls.WGrid.Columns

All Implemented Interfaces:
  java.lang.Iterable<Column>

    public class Columns

extends java.lang.Object
implements java.lang.Iterable<Column>

Grid columns collection.

Method Summary
`Column` | `AddColumn(java.lang.String text)` Adds new column with specified text to columns collection.
`Column` | `AddColumn(java.lang.String text, int width)` Adds new column with specified text and width to columns collection.
`Column` | `AddColumn(java.lang.String text, int width, java.lang.String mappingName)` Adds new column with specified text,width and DataColumn mapping name to columns collection.
`Column` | `AddColumn(java.lang.String text, int width, java.lang.String mappingName, int cellTextHzAlign)` Adds new column with specified text,width,DataColumn mapping name and cells text alignment to columns collection.
`Column` | `AddColumn(java.lang.String text, int width, java.lang.String mappingName, int cellTextHzAlign, java.lang.String cellTextFormat)` Adds new column with specified text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.
`Column` | `AddColumn(java.lang.String text, java.lang.String textID, int width, java.lang.String mappingName)` Adds new column with specified text,width and DataColumn mapping name to columns collection.
`Column` | `AddColumn(java.lang.String text, java.lang.String textID, int width, java.lang.String mappingName, int cellTextHzAlign)` Adds new column with specified text,width,DataColumn mapping name and cells text alignment to columns collection.
`Column` | `AddColumn(java.lang.String text, java.lang.String textID, int width, java.lang.String mappingName, int cellTextHzAlign, java.lang.String cellTextFormat)` Adds new column with specified text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.
`Column` | `AddColumn(java.lang.String name, java.lang.String text, java.lang.String textID, int width, java.lang.String mappingName, int cellTextHzAlign, java.lang.String cellTextFormat)` Adds new column with specified name,text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.
`Column` | `get(int index)` Gets column from specified index.
`Column` | `get(java.lang.String name)` Gets column with specified column name.
`int` | `getCount()` Gets columns count in columns collection.
`WGridTableView` | `getView()` Gets columns owner view.
`Column[]` | `getVisibleColumns()` Returns visible columns (Column.getVisible = true).
`int` | `indexOf(Column column)` Gets specified column index in columns collection.
`java.util.Iterator<Column>` | `iterator()` Gets iterator.
`void` | `MoveColumn(Column column, int index)` Moves column to specified index.
`void` | `remove(Column column)` Removes specified column from columns collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### AddColumn

    public Column AddColumn(java.lang.String text)
                     throws java.lang.Exception

  Adds new column with specified text to columns collection.

  Parameters:
    `text` - Column text.
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            int width)
                     throws java.lang.Exception

  Adds new column with specified text and width to columns collection.

  Parameters:
    `text` - Column text.
    `width` - Column width.
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            int width,
                            java.lang.String mappingName)
                     throws java.lang.Exception

  Adds new column with specified text,width and DataColumn mapping name to columns collection.

  Parameters:
    `text` - Column text.
    `width` - Column width.
    `mappingName` - Column datasource DataColumn mapping name.
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            java.lang.String textID,
                            int width,
                            java.lang.String mappingName)
                     throws java.lang.Exception

  Adds new column with specified text,width and DataColumn mapping name to columns collection.

  Parameters:
    `text` - Column text.
    `textID` -
    `width` - Column width.
    `mappingName` - Column datasource DataColumn mapping name.
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            int width,
                            java.lang.String mappingName,
                            int cellTextHzAlign)
                     throws java.lang.Exception

  Adds new column with specified text,width,DataColumn mapping name and cells text alignment to columns collection.

  Parameters:
    `text` -
    `width` -
    `mappingName` -
    `cellTextHzAlign` -
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            java.lang.String textID,
                            int width,
                            java.lang.String mappingName,
                            int cellTextHzAlign)
                     throws java.lang.Exception

  Adds new column with specified text,width,DataColumn mapping name and cells text alignment to columns collection.

  Parameters:
    `text` -
    `textID` -
    `width` -
    `mappingName` -
    `cellTextHzAlign` -
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            int width,
                            java.lang.String mappingName,
                            int cellTextHzAlign,
                            java.lang.String cellTextFormat)
                     throws java.lang.Exception

  Adds new column with specified text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.

  Parameters:
    `text` -
    `width` -
    `mappingName` -
    `cellTextHzAlign` -
    `cellTextFormat` -
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String text,
                            java.lang.String textID,
                            int width,
                            java.lang.String mappingName,
                            int cellTextHzAlign,
                            java.lang.String cellTextFormat)
                     throws java.lang.Exception

  Adds new column with specified text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.

  Parameters:
    `text` -
    `textID` -
    `width` -
    `mappingName` -
    `cellTextHzAlign` -
    `cellTextFormat` -
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### AddColumn

    public Column AddColumn(java.lang.String name,
                            java.lang.String text,
                            java.lang.String textID,
                            int width,
                            java.lang.String mappingName,
                            int cellTextHzAlign,
                            java.lang.String cellTextFormat)
                     throws java.lang.Exception

  Adds new column with specified name,text,textID,width,DataColumn mapping name,cells text alignment and cell text format to columns collection.

  Parameters:
    `name` -
    `text` -
    `textID` -
    `width` -
    `mappingName` -
    `cellTextHzAlign` -
    `cellTextFormat` -
  Returns:
    Returns added column.
  Throws:
    `java.lang.Exception`

### indexOf

    public int indexOf(Column column)

  Gets specified column index in columns collection. Index is zero based.

  Parameters:
    `column` -
  Returns:
    Returns specified column index in columns collection.

### remove

    public void remove(Column column)

  Removes specified column from columns collection.

  Parameters:
    `column` -

### MoveColumn

    public void MoveColumn(Column column,
                           int index)

  Moves column to specified index.

  Parameters:
    `column` -
    `index` -

### getCount

    public int getCount()

  Gets columns count in columns collection.

  Returns:
    Returns columns count in columns collection.

### get

    public Column get(int index)

  Gets column from specified index. Index is zero based.

  Parameters:
    `index` -
  Returns:
    Returns column from specified index.

### get

    public Column get(java.lang.String name)

  Gets column with specified column name.

  Parameters:
    `name` -
  Returns:
    Returns column with specified column name.

### getVisibleColumns

    public Column[] getVisibleColumns()

  Returns visible columns (Column.getVisible = true).

  Returns:

### getView

    public WGridTableView getView()

  Gets columns owner view.

  Returns:

### iterator

    public java.util.Iterator<Column> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Column>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD